import * as Data from "../Data/Interfaces.js";
import { default as BaseModel, IBaseModelOptions } from "./BaseModel.js";
import ContextModel from "./ContextModel.js";
export interface IArbiterModelOptions extends IBaseModelOptions {
    parent: ContextModel;
    data: Data.IArbiterData;
}
export default class ArbiterModel extends BaseModel {
    private m_parent;
    constructor(options: IArbiterModelOptions);
    get attributes(): Data.IDictionary;
    get data(): Data.IDictionary;
    get errors(): Data.IDictionary;
    get json(): Data.IDictionary;
    get parent(): ContextModel;
    get properties(): Data.IDictionary;
    get target(): Data.IDictionary;
    get innerTarget(): Data.IDictionary;
    get id(): any;
    get targetType(): string;
    get type(): string;
    toJSON(): Data.IArbiterData;
}
